Create a new branch
POST/qsystem/rest/config/branches
Create a new branch.
The id will be generated and should not be included in the request body (see example below)
The name and branch prefix are mandatory and must be unique
The equipmentProfileId and operationProfileId must be a valid combination. I.e. the selected operation profile must include the selected equipment profile.
The branch parameters are optional and the following are supported by default;
label.address1 : String
label.address2 : String
label.address3 : String
label.postcode : String
label.city : String
label.country : String
label.latitude : Double
label.longitude : Double
label.reset.time : String (Format "hh:mm")
curl -u user:password -i -X POST -H 'content-type:application/json'
-d '{"name":"Branch 6","branchPrefix":"BRS",
"operationProfileId":1,"equipmentProfileId":50,
"enabled":true,"description":"","timeZone":"Europe/Paris",
"agentId":"central","mobileEnabled":false,
"branchParameters":[
{"key":"label.latitude","value":10}]}'
http://orchestra-host:orchestra-port/qsystem/rest/config/branches
Request
Responses
- 201
A Branch